Você não está autenticado.

Anúncio

Arch Linux Brasil está precisando de sua colaboração para realizar o pagamento do domínio e do host, para colaborar, realizar doações via paypal.

Para mais informações: contato at archlinux-br.org.

#1 15/06/2017 13:23:55

OneZer0
Membro
Registrado: 15/06/2017
Mensagens: 2

Problemas de conflito - gempec

Boa tarde Galera, sou novo por aqui e estou com problemas ao rodar alguns programas...
Tentei instalar as dependências do blackarch, e ele estava me apresentando muitos problemas com gem's repetidas, daí usei um --force e a maioria foi instalado sem problema.
Acontece que agora, alguns programas não rodam...Uns dizen que o ruby não está usando a versão correta e outros pedem pra atualizar o bundle "Porém, mesmo depois de atualizar o erro persiste".

Segue a print da saída:
Conflito

Alguém tem uma dica de como resolver este problema?

Offline

#2 16/06/2017 23:28:57

swatquest
Moderador
Registrado: 05/10/2010
Mensagens: 1.951

Re: Problemas de conflito - gempec

Já tentou reinstalar tudo?

sudo pacman -S $(pacman -Qnq)

para os programas do aur

yaourt ou pacaur

pacaur -S $(pacman -Qmq)

Offline

#3 17/06/2017 00:21:41

OneZer0
Membro
Registrado: 15/06/2017
Mensagens: 2

Re: Problemas de conflito - gempec

swatquest escreveu:

Já tentou reinstalar tudo?

sudo pacman -S $(pacman -Qnq)

para os programas do aur

yaourt ou pacaur

pacaur -S $(pacman -Qmq)

Obrigado pela resposta @swatquest
Eu tentei seguir os passos, e usei o

sudo pacman -S $(pacman -Qnq)

, e isso instalou um monte de coisas...
Porém o erro persiste, e agora está aparecendo pra dar

sudo bundle install

. Mas quando executo, ele diz que falta o rainbow, e quando tento instalar o rainbow, diz que já está instalado.

Se alguém puder me ajudar, agradeço.

Abs,

Offline

#4 17/06/2017 01:22:21

swatquest
Moderador
Registrado: 05/10/2010
Mensagens: 1.951

Re: Problemas de conflito - gempec

https://wiki.archlinux.org/index.php/Ruby

você pode tentar
foi o que entendi do manual
você terá seu gem de volta aos diretórios do sistema
http://bundler.io/v1.2/bundle_install.html

--system: Install to the system location ($BUNDLE_PATH or $GEM_HOME) even if the bundle was previously installed somewhere else for this application

sudo bundle install --system


leia o wiki e veja se está tudo configurado

atenção veja as configurações no ~/.bashrc
PATH="$(ruby -e 'print Gem.user_dir')/bin:$PATH"
export GEM_HOME=$(ruby -e 'print Gem.user_dir')

Você não precisa usar sudo ,por exemplo instale

caso tenha o .bundle na home apague
bundle install --path ~/.bundle

Offline

Rodapé do site